Summary:	A statically linked shell, including some built-in basic commands
Summary(es.UTF-8):	Interpretador de Comandos conectado estáticamente con algunos comandos básicos
Summary(pl.UTF-8):	Skonsolidowana statycznie powłoka z wbudowanymi podstawowymi poleceniami
Summary(pt_BR.UTF-8):	nterpretador de Comandos ligado estaticamente com alguns comandos básicos
Summary(ru.UTF-8):	Статически собранный shell со встроенными базовыми командами
Summary(uk.UTF-8):	Статично зібраний shell із вбудованими базовими командами
Name:		sash
Version:	3.8
Release:	1
License:	GPL
Group:		Applications/Shells
Source0:	http://members.tip.net.au/~dbell/programs/%{name}-%{version}.tar.gz
# Source0-md5:	105faad43be231dd9f439e96c70d76aa
BuildRequires:	glibc-static
BuildRequires:	zlib-static >= 1.1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_sbindir	/sbin

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip. Sash is
statically linked so that it can work without shared libraries, so it
is particularly useful for recovering from certain types of system
failures. Sash can also be used to safely upgrade to new versions of
shared libraries.

%description -l es.UTF-8
Sash es un interpretador de comandos sencillos encendido
estáticamente. Incluye versiones simplificadas de comandos como ls, dd
y gzip. Sash puede ser útil en situaciones de recuperación del
sistema.

%description -l pl.UTF-8
Sash jest prostą, samodzielną, skonsolidowaną statycznie powłoką,
która ma wbudowane uproszczone wersje poleceń takich jak ls, dd czy
gzip. Ze względu na statyczną konsolidację Sash może pracować bez
bibliotek współdzielonych, co jest przydatne do ratowania systemu po
awarii. Sash może być także używany do bezpiecznego uaktualniania
bibliotek dzielonych do nowszych wersji.

%description -l pt_BR.UTF-8
O Sash é um interpretador de comandos simples ligado estaticamente.
Inclui versões simplificadas de comandos como ls, dd e gzip. O Sash
pode ser útil em situações de recuperação do sistema.

%description -l ru.UTF-8
Sash - это простой, статически собранный shell, включающий в себя
упрощенные встроенные версии команд типа ls, dd и gzip. Независимость
от динамических библиотек особенно полезна для "спасательных работ"
после системных сбоев и для безопасного апгрейда системных
динамических библиотек.

%description -l uk.UTF-8
Sash - це простий, статично зібраний shell, що включає вбудовані
спрощені версії таких команд як ls, dd та gzip. Незалежність від
динамічних бібліотек особливо корисна для "рятувальних робіт" після
системних збоїв та для безпечного апгрейду системних динамічних
бібліотек.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man8}

install sash $RPM_BUILD_ROOT%{_sbindir}
install sash.1 $RPM_BUILD_ROOT%{_mandir}/man8/sash.8
ln -sf %{_sbindir}/sash $RPM_BUILD_ROOT%{_bindir}/sash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sash
%attr(755,root,root) %{_sbindir}/sash
%{_mandir}/man8/sash.8*
%changelog
* Mon Mar 10 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sash.git;a=log;h=master

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 0bd0961
- updated to 3.8
- removed obsolete misc,losetup patches

* Fri Dec 12 2008 radek <radek@pld-linux.org> 26a56d5
- fix timstamps in spec changelog

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f3e2208
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e35a91c
- converted to UTF-8

* Fri Apr 01 2005 darekr <darekr@pld-linux.org> 720baf5
- cosmetics
- defined _sbindir to /sbin (avoid symlink to //sbin/sash)

* Thu Jan 29 2004 eothane <eothane@pld-linux.org> 9029d4e
- going up.. 3.7

* Thu Jan 29 2004 undefine <undefine@pld-linux.org> b960b5f
- fix build

* Sun Jan 04 2004 Tomasz Pala <gotar@pld-linux.org> 6a22055
- added %{_bindir}/sash -> %{_sbindir}/sash symlink: in failure states
  there's no way to do rpm -ql and one may expect sash in /bin,
- release 3.

* Mon Nov 24 2003 averne <averne@pld-linux.org> c08be6b
- updated release

* Sat Oct 25 2003 ankry <ankry@pld-linux.org> ea1f998
- pl: linkowanie -> konsolidacja, shell -> powłoka

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e29207c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e020e70
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Jan 14 2003 ankry <ankry@pld-linux.org> 0115afe
- fixed URL

* Fri Oct 11 2002 kloczek <kloczek@pld-linux.org> 284a085
- updated to 3.6: bug fixes,
- removed scriptarg patch (now in upstream),
- merge translations from Conectiva.

* Fri Oct 11 2002 kloczek <kloczek@pld-linux.org> b95e656
- outdated.

* Wed Mar 20 2002 kloczek <kloczek@pld-linux.org> e4883e4
- updated to 2.5,
- rebuild against fixed zlib 1.1.4 (security fix),
- merge translations from KSI,
- updated Source url and use CC="%%{__cc}" during compile.

* Wed Mar 20 2002 kloczek <kloczek@pld-linux.org> dea0970
- updated for 3.5.

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> a43cb4e
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 8f390dd
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> cd241f2
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

